# Function useDeepQuery

- useDeepQuery<Table, LL>(query, options?): {
  data?: LL[];
  error?: any;
  loading: boolean;
  }

- #### Type Parameters

  - #### Table extends "objects" | "links" | "numbers" | "strings" | "can" | "selectors" | "tree" | "handlers"

  - #### LL = Link<number>

  #### Parameters

  - ##### query: QueryLink

  - ##### `Optional` options: {
    mini?: string;
    name?: string;
    returning?: string;
    table?: Table;
    tableNamePostfix?: string;
    variables?: any;
    }

    - ##### `Optional` mini?: string

    - ##### `Optional` name?: string

    - ##### `Optional` returning?: string

    - ##### `Optional` table?: Table

    - ##### `Optional` tableNamePostfix?: string

    - ##### `Optional` variables?: any

  #### Returns {
  data?: LL[];
  error?: any;
  loading: boolean;
  }

  - ##### `Optional` data?: LL[]

  - ##### `Optional` error?: any

  - ##### loading: boolean

  - Defined in work/deeplinks/deeplinks/imports/cyber.tsx:880

Generated using TypeDoc